diff -aburN --exclude='CVS*' phpgroupware16/tts/admin.php phpgroupware/tts/admin.php
--- phpgroupware16/tts/admin.php	2004-02-19 21:20:46.000000000 -0500
+++ phpgroupware/tts/admin.php	2003-12-22 10:38:49.000000000 -0500
@@ -9,7 +9,7 @@
   *  option) any later version.                                              *
   \**************************************************************************/
 
-  /* $Id: admin.php,v 1.2.2.1.4.2 2004/01/20 05:03:42 jengo Exp $ */
+  /* $Id: admin.php,v 1.2.2.1 2002/01/25 22:00:52 jengo Exp $ */
 
 	$GLOBALS['phpgw_info']['flags'] = array(
 		'currentapp'  => 'tts', 
diff -aburN --exclude='CVS*' phpgroupware16/tts/create_tables.mysql phpgroupware/tts/create_tables.mysql
--- phpgroupware16/tts/create_tables.mysql	1969-12-31 19:00:00.000000000 -0500
+++ phpgroupware/tts/create_tables.mysql	2003-12-22 10:38:49.000000000 -0500
@@ -0,0 +1,26 @@
+create table ticket (
+  t_id          int not null auto_increment,
+  t_category    varchar(40) not null,
+  t_detail      text,
+  t_priority    smallint,
+  t_user        varchar(10) not null,
+  t_assignedto  varchar(10) not null,
+  t_timestamp_opened    int,
+  t_timestamp_closed    int,
+  t_subject     varchar(255),
+  t_department  varchar(25),
+  t_watchers      text,
+  primary key (t_id)
+);
+
+create table category (
+  c_id          int not null auto_increment,
+  c_department  varchar(25) not null,
+  c_name        varchar(40) not null,
+  primary key (c_id)
+);
+
+create table department (
+  d_name                varchar(25) not null,
+  primary key (d_name)
+);
\ No newline at end of file
diff -aburN --exclude='CVS*' phpgroupware16/tts/create_tables.pgsql phpgroupware/tts/create_tables.pgsql
--- phpgroupware16/tts/create_tables.pgsql	1969-12-31 19:00:00.000000000 -0500
+++ phpgroupware/tts/create_tables.pgsql	2003-12-22 10:38:49.000000000 -0500
@@ -0,0 +1,23 @@
+create table ticket (
+  t_id		serial,
+  t_category	varchar(40) not null,
+  t_detail	text,
+  t_priority	smallint,
+  t_user	varchar(10) not null,
+  t_assignedto	varchar(10) not null,
+  t_timestamp_opened	int,
+  t_timestamp_closed	int,
+  t_subject	varchar(255),
+  t_department	varchar(25),
+  t_watchers	text
+);
+
+create table category (
+  c_id		 serial,
+  c_department	 varchar(25) not null,
+  c_name	 varchar(40) not null
+);
+
+create table department (
+  d_name	 varchar(25) not null
+);
diff -aburN --exclude='CVS*' phpgroupware16/tts/droptables.sql phpgroupware/tts/droptables.sql
--- phpgroupware16/tts/droptables.sql	1969-12-31 19:00:00.000000000 -0500
+++ phpgroupware/tts/droptables.sql	2003-12-22 10:38:49.000000000 -0500
@@ -0,0 +1,3 @@
+DROP table ticket;
+DROP table category;
+DROP table department;
diff -aburN --exclude='CVS*' phpgroupware16/tts/inc/class.bo.inc.php phpgroupware/tts/inc/class.bo.inc.php
--- phpgroupware16/tts/inc/class.bo.inc.php	2004-02-19 21:20:47.000000000 -0500
+++ phpgroupware/tts/inc/class.bo.inc.php	2003-12-22 10:38:48.000000000 -0500
@@ -428,9 +428,9 @@
 				$body .= 'TTS #'.$ticket_id."\n\n";
 				$body .= 'Subject: '.$this->db->f('t_subject')."\n\n";
 				$body .= 'Assigned To: '.$this->db->f('t_assignedto')."\n\n";
-				$body .= 'Priority: ' . $this->db->f('t_priority') . "\n\n";
-				$body .= 'Group: ' . $group."\n\n";
-				$body .= 'Opened By: ' . $this->db->f('t_user')."\n";
+				$body .= 'Priority: ".$this->db->f('t_priority')."\n\n";
+				$body .= 'Group: ".$group."\n\n";
+				$body .= 'Opened By: ".$this->db->f('t_user')."\n";
 				$body .= 'Date Opened: '.$GLOBALS['phpgw']->common->show_date($this->db->f('t_timestamp_opened'))."\n\n";
 				if($this->db->f('t_timestamp_closed'))
 				{
diff -aburN --exclude='CVS*' phpgroupware16/tts/inc/hook_home.inc.php phpgroupware/tts/inc/hook_home.inc.php
--- phpgroupware16/tts/inc/hook_home.inc.php	2003-11-30 18:59:37.000000000 -0500
+++ phpgroupware/tts/inc/hook_home.inc.php	2003-12-22 10:38:48.000000000 -0500
@@ -9,7 +9,7 @@
   *  option) any later version.                                              *
   \**************************************************************************/
 
-	/* $Id: hook_home.inc.php,v 1.9.2.2.4.3 2003/11/30 23:59:37 skwashd Exp $ */
+	/* $Id: hook_home.inc.php,v 1.9.2.2 2002/06/23 17:03:16 skeeter Exp $ */
 
 	$d1 = strtolower(substr($GLOBALS['phpgw_info']['server']['app_inc'],0,3));
 	if($d1 == 'htt' || $d1 == 'ftp' )
@@ -111,7 +111,7 @@
 				'tertiary'  => $GLOBALS['phpgw_info']['theme']['navbar_bg'],
 				'width'     => '100%',
 				'outerborderwidth' => '0',
-				'header_background_image' => $GLOBALS['phpgw']->common->image('phpgwapi', 'bg_filler', '.png', 'bg_filler', False)
+				'header_background_image' => $GLOBALS['phpgw']->common->image('phpgwapi/templates/phpgw_website','bg_filler')
 			)
 		);
 
diff -aburN --exclude='CVS*' phpgroupware16/tts/index.php phpgroupware/tts/index.php
--- phpgroupware16/tts/index.php	2004-07-08 22:33:29.000000000 -0400
+++ phpgroupware/tts/index.php	2003-12-22 10:38:49.000000000 -0500
@@ -9,7 +9,7 @@
 	*  option) any later version.                                              *
 	\**************************************************************************/
 
-	/* $Id: index.php,v 1.43.2.7.2.2.2.5 2004/05/11 13:39:05 lpiepho Exp $ */
+	/* $Id: index.php,v 1.43.2.7.2.2 2003/03/05 22:34:55 gugux Exp $ */
 
 	/* Note to self:
 	** Self ... heres the query to use when limiting access to entrys within a group
@@ -40,8 +40,8 @@
 	$GLOBALS['phpgw']->template->set_block('index', 'tts_row', 'tts_row');
 	$GLOBALS['phpgw']->template->set_block('index', 'tts_col_ifviewall', 'tts_col_ifviewall');
 	$GLOBALS['phpgw']->template->set_block('index', 'tts_head_ifviewall', 'tts_head_ifviewall');
-	$GLOBALS['phpgw']->template->set_block('index', 'tts_ticket_id_read', 'tts_ticket_id_read');
-	$GLOBALS['phpgw']->template->set_block('index', 'tts_ticket_id_unread', 'tts_ticket_id_unread');
+//	$GLOBALS['phpgw']->template->set_block('index', 'tts_ticket_id_read', 'tts_ticket_id_read');
+//	$GLOBALS['phpgw']->template->set_block('index', 'tts_ticket_id_unread', 'tts_ticket_id_unread');
 
 	$GLOBALS['phpgw']->template->set_var('lang_appname', lang('Trouble Ticket System'));
 	$GLOBALS['phpgw']->template->set_var('tts_newticket_link', $GLOBALS['phpgw']->link('/tts/newticket.php'));
@@ -53,46 +53,20 @@
 	$GLOBALS['phpgw']->template->set_var('tts_head_status','');
 	$GLOBALS['phpgw']->template->set_var('tts_notickets','');
 	$GLOBALS['phpgw']->template->set_var('lang_category',lang('Category'));
-	$GLOBALS['phpgw']->template->set_var('tts_autofilter_link', $GLOBALS['phpgw']->link('/tts/index.php'));
-	$GLOBALS['phpgw']->template->set_var('lang_filter', lang('filter'));
-	
 	
 	// select what tickets to view
-	$filter = $_REQUEST['filter'];	
-	$start  = $_GET['start'];
-	$sort   = $_GET['sort'];
-	$order  = $_GET['order'];
-	$searchfilter = $_REQUEST['searchfilter'];
+	$filter = $HTTP_GET_VARS['filter'];
+	$start  = $HTTP_GET_VARS['start'];
+	$sort   = $HTTP_GET_VARS['sort'];
+	$order  = $HTTP_GET_VARS['order'];
 			
 	if (!$filter)
 	{
 		$filter='viewopen';
 	}
-		
-	if ($filter == 'viewopen' || 'search') 
+	if ($filter == 'viewopen') 
 	{
-		if($_POST['ticket']['filter_prio'] != "")
-		{
-			$filterstring = " and ticket_priority like ".$_POST['ticket']['filter_prio'];
-		}
-	
-		if($_POST['ticket']['filter_owner'] != "")
-		{
-			$filterstring1 = " and ticket_owner like '".$GLOBALS['phpgw']->accounts->name2id($_POST['ticket']['filter_owner'])."'";
-		}
-
-		if($_POST['ticket']['filter_assignedto'] != "")
-		{
-			$filterstring2 = " and ticket_assignedto like '".$GLOBALS['phpgw']->accounts->name2id($_POST['ticket']['filter_assignedto'])."'";
-		}
-	
-		if($_POST['ticket']['filter_category'] != "")
-		{
-			$filterstring3 = " and ticket_category like '" . $GLOBALS['phpgw']->categories->name2id($_POST['ticket']['filter_category']) . "'";
-		}
-		
-		$filtermethod = "where ticket_status='O'" . $filterstring . $filterstring1 . $filterstring2 . $filterstring3;
-		
+		$filtermethod = "where ticket_status='O'";
 
 		$GLOBALS['phpgw']->preferences->read_repository();
 		if ($GLOBALS['phpgw_info']['user']['preferences']['tts']['refreshinterval'])
@@ -104,36 +78,9 @@
 			$GLOBALS['phpgw']->template->set_var('autorefresh','');
 		}
 	}
-	
-	if ($filter == 'viewall')
-	{
-			
-		if($_POST['ticket']['filter_prio'] != "")
-		{
-			$filterstring = " and ticket_priority like ".$_POST['ticket']['filter_prio'];
-		}
-	
-		if($_POST['ticket']['filter_owner'] != "")
-		{
-			$filterstring1 = " and ticket_owner like '".$GLOBALS['phpgw']->accounts->name2id($_POST['ticket']['filter_owner'])."'";
-		}
-
-		if($_POST['ticket']['filter_assignedto'] != "")
-		{
-			$filterstring2 = " and ticket_assignedto like '".$GLOBALS['phpgw']->accounts->name2id($_POST['ticket']['filter_assignedto'])."'";
-		}
-	
-		if($_POST['ticket']['filter_category'] != "")
-		{
-			$filterstring3 = " and ticket_category like '" . $GLOBALS['phpgw']->categories->name2id($_POST['ticket']['filter_category']) . "'";
-		}
-			
-			$filtermethod = "where 1" . $filterstring . $filterstring1 . $filterstring2 . $filterstring3;
-	}
-	
-	if ($searchfilter != '') 
+	if ($filter == 'search') 
 	{		
-		$filtermethod = "where ticket_details like '%".addslashes($searchfilter)."%' or ticket_subject like '%".addslashes($searchfilter)."%'";
+		$filtermethod = "where ticket_details like '%".addslashes($searchfilter)."%'";
 		$GLOBALS['phpgw']->template->set_var('tts_searchfilter',addslashes($searchfilter));
 	}
 
@@ -157,39 +104,14 @@
 	$GLOBALS['phpgw']->template->set_var('tts_numtotal',lang('Tickets total %1',$numtotal));
 	$GLOBALS['phpgw']->template->set_var('tts_numopen',lang('Tickets open %1',$numopen));
 	
-	//Get filters to work
-/*	if($filter == 'viewopen')
-	{
-		if($_POST['ticket']['filter_prio'] != "")
-		{
-			$filterstring = " and ticket_priority like ".$_POST['ticket']['filter_prio'];
-		}
-	
-		if($_POST['ticket']['filter_owner'] != "")
-		{
-			$filterstring1 = " and ticket_owner like '".$GLOBALS['phpgw']->accounts->name2id($_POST['ticket']['filter_owner'])."'";
-		}
-
-		if($_POST['ticket']['filter_assignedto'] != "")
-		{
-			$filterstring2 = " and ticket_assignedto like '".$GLOBALS['phpgw']->accounts->name2id($_POST['ticket']['filter_assignedto'])."'";
-		}
-	
-		if($_POST['ticket']['filter_category'] != "")
-		{
-			$filterstring3 = " and ticket_category like '" . $GLOBALS['phpgw']->categories->name2id($_POST['ticket']['filter_category']) . "'";
-		}
-	
-		$filtermethod = "where 1=1" . $filterstring . $filterstring1 . $filterstring2 . $filterstring3; 
-	}
-*/	
 	
 	$db2 = $GLOBALS['phpgw']->db;
 	$GLOBALS['phpgw']->db->query("select * from phpgw_tts_tickets $filtermethod $sortmethod",__LINE__,__FILE__);
 	$numfound = $GLOBALS['phpgw']->db->num_rows();
 
-	if ($filter != '' || $filter == 'viewopen')
+	if ($filter == 'search')
 	{
+		$filtermethod = "where ticket_details like '%".addslashes($searchfilter)."%'";
 		$GLOBALS['phpgw']->template->set_var('tts_searchfilter',addslashes($searchfilter));
 		$GLOBALS['phpgw']->template->set_var('tts_numfound',lang('Tickets found %1',$numfound));
 	}
@@ -199,7 +121,7 @@
 		$GLOBALS['phpgw']->template->set_var('tts_numfound','');
 	}
 
-	if ($filter != 'viewopen' && $filter != 'search')
+	if ($filter != 'viewopen')
 	{
 		$GLOBALS['phpgw']->template->set_var('tts_changeview_link', $GLOBALS['phpgw']->link('/tts/index.php'));
 		$GLOBALS['phpgw']->template->set_var('tts_changeview', lang('View only open tickets'));
@@ -226,7 +148,7 @@
 	// I am not sure how the sorting will work for this, if at all. (jengo)
 	$GLOBALS['phpgw']->template->set_var('tts_head_dateopened',lang('Date opened'));
 //	$GLOBALS['phpgw']->template->set_var('tts_head_dateopened', $GLOBALS['phpgw']->nextmatchs->show_sort_order($sort,'',$order,'/tts/index.php',lang('Date opened')));
-	if ($filter != 'viewopen' && $filter != 'search')
+	if ($filter != 'viewopen')
 	{
 		$GLOBALS['phpgw']->template->set_var('tts_head_dateclosed', $GLOBALS['phpgw']->nextmatchs->show_sort_order($sort,'ticket_status',$order,'/tts/index.php',lang('Status/Date closed')));
 		$GLOBALS['phpgw']->template->parse('tts_head_status','tts_head_ifviewall',false);
@@ -245,17 +167,17 @@
 			$priority = $GLOBALS['phpgw']->db->f('ticket_priority');
 			switch ($priority)
 			{
-				case 1:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg01']; $prio = '1'; break;
-				case 2:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg02']; $prio = '2'; break;
-				case 3:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg03']; $prio = '3'; break;
-				case 4:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg04']; $prio = '4'; break;
-				case 5:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg05']; $prio = '5'; break;
-				case 6:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg06']; $prio = '6'; break;
-				case 7:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg07']; $prio = '7'; break;
-				case 8:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg08']; $prio = '8'; break;
-				case 9:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg09']; $prio = '9'; break;
-				case 10: $tr_color = $GLOBALS['phpgw_info']['theme']['bg10']; $prio = '10'; break;
-				default: $tr_color = $GLOBALS['phpgw_info']['theme']['bg_color']; $prio = '-';
+				case 1:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg01']; break;
+				case 2:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg02']; break;
+				case 3:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg03']; break;
+				case 4:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg04']; break;
+				case 5:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg05']; break;
+				case 6:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg06']; break;
+				case 7:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg07']; break;
+				case 8:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg08']; break;
+				case 9:  $tr_color = $GLOBALS['phpgw_info']['theme']['bg09']; break;
+				case 10: $tr_color = $GLOBALS['phpgw_info']['theme']['bg10']; break;
+				default: $tr_color = $GLOBALS['phpgw_info']['theme']['bg_color'];
 			}
 
 			if ($filter!="viewopen" && $GLOBALS['phpgw']->db->f('t_timestamp_closed'))
@@ -283,7 +205,7 @@
 
 			if (! $ticket_read)
 			{
-				$GLOBALS['phpgw']->template->set_var('row_status','<img src="templates/' . $GLOBALS['phpgw_info']['server']['template_set'] . '/images/updated.png">');
+				$GLOBALS['phpgw']->template->set_var('row_status','<img src="templates/default/images/updated.gif">');
 			}
 			else
 			{
@@ -291,13 +213,12 @@
 			}
 
 			$priostr = '';
-
 			while ($priority > 0)
 			{
 				$priostr = $priostr . "||";
 				$priority--;
 			}
-			$GLOBALS['phpgw']->template->set_var('tts_t_priostr',$priostr);
+			$GLOBALS['phpgw']->template->set_var('tts_t_priostr',$priostr );
 
 			$cat_name   = $GLOBALS['phpgw']->categories->id2name($GLOBALS['phpgw']->db->f('ticket_category'));
 			$GLOBALS['phpgw']->template->set_var('row_category',$cat_name);
@@ -318,7 +239,7 @@
 				$GLOBALS['phpgw']->template->set_var('tts_t_timestampclosed',$GLOBALS['phpgw']->common->show_date($history_values[0]['datetime'] - ((60*60) * $GLOBALS['phpgw_info']['user']['preferences']['common']['tz_offset'])));
 				$GLOBALS['phpgw']->template->parse('tts_col_status','tts_col_ifviewall',False);
 			}
-			elseif ($filter != 'viewopen' && $filter != 'search')
+			elseif ($filter != 'viewopen')
 			{
 //				if ($GLOBALS['phpgw']->db->f('ticket_assignedto') != -1)
 //				{
@@ -333,7 +254,6 @@
 				$GLOBALS['phpgw']->template->parse('tts_col_status','tts_col_ifviewall',False);
 			}
 			$GLOBALS['phpgw']->template->set_var('tts_t_subject', $GLOBALS['phpgw']->db->f('ticket_subject'));
-			$GLOBALS['phpgw']->template->set_var('tts_t_prio', $prio);
 
 			$GLOBALS['phpgw']->template->parse('rows','tts_row',True);
 		}
@@ -346,120 +266,6 @@
 	$GLOBALS['phpgw']->template->set_var('tts_ticket_id_read','');
 	$GLOBALS['phpgw']->template->set_var('tts_ticket_id_unread','');
 
-	//Create Autofilters
-	$GLOBALS['phpgw']->db->query("select count(*) from phpgw_tts_tickets");
-	$GLOBALS['phpgw']->db->next_record();
-	$exists = $GLOBALS['phpgw']->db->f('0');
-	if ($exists != 0)
-	{
-		$GLOBALS['phpgw']->db->query("select distinct ticket_priority from phpgw_tts_tickets order by ticket_priority desc");
-		$y=0;
-		while ($GLOBALS['phpgw']->db->next_record() != 0)
- 		{
-			$dbvalue[$y] = $GLOBALS['phpgw']->db->f('0') ;
-   			++$y;
- 		}
- 		
-		unset($sel);
-		for($y-=1;$y>=0;--$y)
-		{
-			if($dbvalue[$y] == $_POST['ticket']['filter_prio'])
-			{
-				$selected = " selected";
-			}
-			else
-			{
-				$selected = "";
-			}
-			$sel .= '<option'.$selected.'>'.$dbvalue[$y].'</option>' ;
-		}
-		$GLOBALS['phpgw']->template->set_var('filter_prio','<select name=ticket[filter_prio] onChange="document.search.submit()"><option> </option>'.$sel.'</select>');
-		
-
-		$GLOBALS['phpgw']->db->query("select distinct ticket_owner from phpgw_tts_tickets order by ticket_owner desc");
-		$y=0;
-		while ($GLOBALS['phpgw']->db->next_record() != 0)
- 		{
-			$dbvalue[$y] = $GLOBALS['phpgw']->db->f('0') ;
-			$db2name[$y] = $GLOBALS['phpgw']->accounts->id2name($dbvalue[$y]);
-   			++$y;
- 		}
-		
-		unset($sel);
-		natsort($db2name);
-		reset($db2name);
-		while(list($dummy,$entry) = each($db2name))
-		{
-			if($entry == $_POST['ticket']['filter_owner'])
-			{
-				$selected = " selected";
-			}
-			else
-			{
-				$selected = "";
-			}
-			$sel .= '<option'.$selected.'>'.$entry.'</option>' ;
-		}
-		$GLOBALS['phpgw']->template->set_var('filter_owner','<select name=ticket[filter_owner] onChange="document.search.submit()"><option> </option>'.$sel.'</select>');
-	
-	
-		$GLOBALS['phpgw']->db->query("select distinct ticket_assignedto from phpgw_tts_tickets order by ticket_assignedto desc");
-		$y=0;
-		while ($GLOBALS['phpgw']->db->next_record() != 0)
- 		{
-			$dbvalue[$y] = $GLOBALS['phpgw']->db->f('0') ;
-			$db2name[$y] = $GLOBALS['phpgw']->accounts->id2name($dbvalue[$y]);
-   			++$y;
- 		}
-
-		unset($sel);
-		natsort($db2name);
-		reset($db2name);
-		while(list($dummy,$entry) = each($db2name))
-		{
-			if($entry == $_POST['ticket']['filter_assignedto'])
-			{
-				$selected = " selected";
-			}
-			else
-			{
-				$selected = "";
-			}
-			$sel .= '<option'.$selected.'>'.$entry.'</option>' ;
-		}
-
-		$GLOBALS['phpgw']->template->set_var('filter_assignedto','<select name=ticket[filter_assignedto] onChange="document.search.submit()"><option> </option>'.$sel.'</select>');
-	
-		
-		$GLOBALS['phpgw']->db->query("select distinct ticket_category from phpgw_tts_tickets order by ticket_category");
-		$y=0;
-		unset($db2name);
-		while ($GLOBALS['phpgw']->db->next_record() != 0)
- 		{
-			$dbvalue[$y] = $GLOBALS['phpgw']->db->f('0');
-			$db2name[$y] = $GLOBALS['phpgw']->categories->id2name($dbvalue[$y]);
-   			++$y;
- 		}
-		
-		unset($sel);
-		natsort($db2name);
-		reset($db2name);
-		while(list($dummy,$entry) = each($db2name))
-		{
-			if($entry == $_POST['ticket']['filter_category'])
-			{
-				$selected = " selected";				
-			}
-			else
-			{
-				$selected = "";
-			}			
-			$sel .= '<option'.$selected.'>'.$entry.'</option>' ;
-		}
-	
-		$GLOBALS['phpgw']->template->set_var('filter_category','<select name=ticket[filter_category] onChange="document.search.submit()"><option></option>'.$sel.'</select>');
-	}
-	
 	$GLOBALS['phpgw']->template->pfp('out','index');
 
 	$GLOBALS['phpgw']->common->phpgw_footer();
